> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 데이터셋 삭제

> 데이터셋 객체를 삭제합니다. digest가 지정되면 해당 버전만 삭제됩니다. 그렇지 않으면 모든 버전이 삭제됩니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json delete /v2/{entity}/{project}/datasets/{object_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/datasets/{object_id}:
    delete:
      tags:
        - Datasets
      summary: 데이터셋 삭제
      description: 데이터셋 객체를 삭제합니다. digest가 지정되면 해당 버전만 삭제됩니다. 그렇지 않으면 모든 버전이 삭제됩니다.
      operationId: dataset_delete_v2__entity___project__datasets__object_id__delete
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - description: 삭제할 digest 목록입니다. 지정하지 않으면 해당 데이터셋의 모든 digest가 삭제됩니다.
          in: query
          name: digests
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: 삭제할 digest 목록입니다. 지정하지 않으면 해당 데이터셋의 모든 digest가 삭제됩니다.
            title: Digests
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetDeleteRes'
          description: 성공적인 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    DatasetDeleteRes:
      properties:
        num_deleted:
          description: 삭제된 데이터셋 버전 수
          title: Num Deleted
          type: integer
      required:
        - num_deleted
      title: DatasetDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````